{
  "files.autoSave": "onFocusChange",
  "editor.formatOnSave": true,
  "editor.defaultFormatter": "esbenp.prettier-vscode",
  "editor.codeActionsOnSave": {
    "source.organizeImports": "explicit"
  },
  "eslint.validate": [
    "javascript",
    "javascriptreact",
    "astro", // Enable .astro
    "typescript", // Enable .ts
  ],
  "prettier.documentSelectors": [
    "**/*.svg",
    "**/*.astro"
  ],
  "css.customData": [
    ".vscode/tailwind.json"
  ],
  "[mdx]": {
    "editor.wordWrap": "on"
  }
}